Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class JMSTopic

    java.lang.Object
      org.jboss.mq.server.JMSDestination
          org.jboss.mq.server.JMSTopic

public class JMSTopic
extends JMSDestination

This class is a message queue which is stored (hashed by Destination) on the JMS provider

Version:
  $Revision: 1.30.4.2 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), David Maplesden (David.Maplesden@orion.co.nz)

Field Summary

Fields inherited from class org.jboss.mq.server.JMSDestination
`parameters`

Constructor Summary
`JMSTopic(SpyDestination dest, ClientConsumer temporary, JMSDestinationManager server, BasicQueueParameters parameters)`

Method Summary
`void` | `acknowledge(AcknowledgementRequest req, Subscription sub, Tx txId)`
`void` | `addMessage(SpyMessage message, Tx txId)`
`void` | `addReceiver(Subscription sub)`
`void` | `addSubscriber(Subscription sub)`
`void` | `close()`
`void` | `createDurableSubscription(DurableSubscriptionID id)`
`void` | `destroyDurableSubscription(DurableSubscriptionID id)`
`int` | `getAllMessageCount()`
`ArrayList` | `getAllQueues()`
`ArrayList` | `getAllSubscriptions()`
`int` | `getAllSubscriptionsCount()`
`int` | `getDurableMessageCount()`
`ArrayList` | `getDurableSubscriptions()`
`int` | `getDurableSubscriptionsCount()`
`MessageCounter[]` | `getMessageCounter()` Get message counter of all topic internal queues
`int` | `getNonDurableMessageCount()`
`ArrayList` | `getNonDurableSubscriptions()`
`int` | `getNonDurableSubscriptionsCount()`
`ArrayList` | `getPersistentQueues()`
`ArrayList` | `getTemporaryQueues()`
`boolean` | `isInUse()`
`void` | `nackMessages(Subscription sub)`
`SpyMessage` | `receive(Subscription sub, boolean wait)`
`void` | `removeAllMessages()`
`void` | `removeReceiver(Subscription sub)`
`void` | `removeSubscriber(Subscription sub)`
`void` | `restoreMessage(MessageReference messageRef)`
`void` | `restoreMessage(SpyMessage message)`
`void` | `restoreMessage(SpyMessage message, DurableSubscriptionID id)`

Methods inherited from class org.jboss.mq.server.JMSDestination
`getSpyDestination, nextMessageId, nextSharedMessageId, updateNextMessageId, updateSharedNextMessageId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSTopic

    public JMSTopic(SpyDestination dest,
                    ClientConsumer temporary,
                    JMSDestinationManager server,
                    BasicQueueParameters parameters)
             throws javax.jms.JMSException

Method Detail

### addSubscriber

    public void addSubscriber(Subscription sub)
                       throws javax.jms.JMSException

  Specified by:
    `addSubscriber` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### removeSubscriber

    public void removeSubscriber(Subscription sub)
                          throws javax.jms.JMSException

  Specified by:
    `removeSubscriber` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### nackMessages

    public void nackMessages(Subscription sub)
                      throws javax.jms.JMSException

  Specified by:
    `nackMessages` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### addReceiver

    public void addReceiver(Subscription sub)
                     throws javax.jms.JMSException

  Specified by:
    `addReceiver` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### removeReceiver

    public void removeReceiver(Subscription sub)

  Specified by:
    `removeReceiver` in class `JMSDestination`

### restoreMessage

    public void restoreMessage(MessageReference messageRef)

  Specified by:
    `restoreMessage` in class `JMSDestination`

### restoreMessage

    public void restoreMessage(SpyMessage message)

  Specified by:
    `restoreMessage` in class `JMSDestination`

### restoreMessage

    public void restoreMessage(SpyMessage message,
                               DurableSubscriptionID id)

### createDurableSubscription

    public void createDurableSubscription(DurableSubscriptionID id)
                                   throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### close

    public void close()
               throws javax.jms.JMSException

  Specified by:
    `close` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### destroyDurableSubscription

    public void destroyDurableSubscription(DurableSubscriptionID id)
                                    throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### receive

    public SpyMessage receive(Subscription sub,
                              boolean wait)
                       throws javax.jms.JMSException

  Specified by:
    `receive` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`

### acknowledge

    public void acknowledge(AcknowledgementRequest req,
                            Subscription sub,
                            Tx txId)
                     throws javax.jms.JMSException

  Specified by:
    `acknowledge` in class `JMSDestination`
  Parameters:
    `req` - org.jboss.mq.AcknowledgementRequest
    `sub` - org.jboss.mq.Subscription
    `txId` - org.jboss.mq.pm.Tx
  Throws:
    `javax.jms.JMSException` - The exception description.

### addMessage

    public void addMessage(SpyMessage message,
                           Tx txId)
                    throws javax.jms.JMSException

  Specified by:
    `addMessage` in class `JMSDestination`
  Parameters:
    `message` - org.jboss.mq.SpyMessage
    `txId` - org.jboss.mq.pm.Tx
  Throws:
    `javax.jms.JMSException` - The exception description.

### getAllMessageCount

    public int getAllMessageCount()

### getDurableMessageCount

    public int getDurableMessageCount()

### getNonDurableMessageCount

    public int getNonDurableMessageCount()

### getAllQueues

    public ArrayList getAllQueues()

### getTemporaryQueues

    public ArrayList getTemporaryQueues()

### getPersistentQueues

    public ArrayList getPersistentQueues()

### getAllSubscriptionsCount

    public int getAllSubscriptionsCount()

### getDurableSubscriptionsCount

    public int getDurableSubscriptionsCount()

### getNonDurableSubscriptionsCount

    public int getNonDurableSubscriptionsCount()

### getAllSubscriptions

    public ArrayList getAllSubscriptions()

### getDurableSubscriptions

    public ArrayList getDurableSubscriptions()

### getNonDurableSubscriptions

    public ArrayList getNonDurableSubscriptions()

### isInUse

    public boolean isInUse()

  Specified by:
    `isInUse` in class `JMSDestination`

### removeAllMessages

    public void removeAllMessages()
                           throws javax.jms.JMSException

  Specified by:
    `removeAllMessages` in class `JMSDestination`
  Throws:
    `javax.jms.JMSException`
  See Also:
    `JMSDestination#destroy()`

### getMessageCounter

    public MessageCounter[] getMessageCounter()

  Get message counter of all topic internal queues

  Specified by:
    `getMessageCounter` in class `JMSDestination`
  Returns:
    MessageCounter[] topic queue message counter array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.